# Fn<> BytesPerValue
Number of bytes needed to store a value.

Defined in | <seqan/basic.h>
Signature | `BytesPerValue<T>::VALUE`

## Template Parameters

`T` | The type to query.

## Return Values

`VALUE` | The number of bytes to store on T object.

## Detailed Description

By default, this function returns `ceil(BitsPerValue<T>::VALUE)`. For built-in types, this is the same as `sizeof(T)`.

## See Also

- BitsPerValue
- IntegralForValue
- ValueSize

#### Dox Sources

    /*!
     * @mfn BytesPerValue
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Number of bytes needed to store a value.
     *
     * @signature BytesPerValue<T>::VALUE
     *
     * @tparam T The type to query.
     *
     * @return VALUE The number of bytes to store on T object.
     *
     * By default, this function returns
     * <tt>ceil(BitsPerValue&lt;T&gt;::VALUE)</tt>. For built-in types, this is the
     * same as <tt>sizeof(T)</tt>.
     *
     * @see FiniteOrderedAlphabetConcept#ValueSize
     * @see AlphabetConcept#BitsPerValue
     * @see IntegralForValue
     */